Subject: bug#13286: save-place-to-alist could call abbreviate-file-name

From: Peter Eisentraut <[email-masked]>
Date: Thu, 27 Dec 2012 10:33:25 -0500

This is a wishlist item that applies to all released Emacs versions and
current Git master.

I suggest that save-place-to-alist in lisp/saveplace.el be enabled to
call abbreviate-file-name on the file names it writes out to the
.emacs-places file.  That way, it is easier (or possible) to share this
file across hosts, if for example the home directories are in a
different place.

Ideally, this could just be done all the time, but maybe there is a
reason for this not to be done?  In that case, maybe a Boolean
configuration variable or a filter function could be used.

I can also try to supply a patch if there is an agreement on the approach.